Skip to main content
`Ctrl`+`K`

# slepc4py.SLEPc.EPSKrylovSchurBSEType

class slepc4py.SLEPc.EPSKrylovSchurBSEType

  Bases: `object`

  EPS Krylov-Schur method for BSE problems.

  - `SHAO`: Lanczos recurrence for H square.

  - `GRUNING`: Lanczos recurrence for H.

  - `PROJECTEDBSE`: Lanczos where the projected problem has BSE structure.

  Attributes Summary

  `GRUNING` | Constant `GRUNING` of type `int`
  `PROJECTEDBSE` | Constant `PROJECTEDBSE` of type `int`
  `SHAO` | Constant `SHAO` of type `int`

  Attributes Documentation

  GRUNING: int = GRUNING

    Constant `GRUNING` of type `int`

  PROJECTEDBSE: int = PROJECTEDBSE

    Constant `PROJECTEDBSE` of type `int`

  SHAO: int = SHAO

    Constant `SHAO` of type `int`